{if $is_h5}
    <div class="alert alert-danger silkpay_error_message" style="display: none">
    </div>
    <div style="margin-top: 20px; border-top: 1px solid rgba(0,0,0,0.1);padding-top: 20px;"
         class="d-flex align-items-center justify-content-between">
        <a href="{$link->getPageLink('history')}" class="btn btn-secondary btn-sm">
            {l s='Pay it later' mod='silkpay'}
        </a>
        <a
                class="silkpay_link_result btn btn-secondary btn-sm"
                id="wepay_h5"
                target="_blank" onclick="onBridgeReady()"
        >
            <img src="{$image_path}modules/silkpay/views/img/wepay.png" alt="">
            {l s='Pay it now' mod='silkpay'}
        </a>
    </div>
    <script>
        function onBridgeReady() {
            WeixinJSBridge.invoke(
                'getBrandWCPayRequest', {
                    "appId": appId,     //公众号名称，由商户传入
                    "timeStamp": timeStamp,         //时间戳，自1970年以来的秒数
                    "nonceStr": nonceStr, //随机串
                    "package": package,
                    "signType": signType,         //微信签名方式：
                    "paySign": paySign //微信签名
                },
                function (res) {
                    if (res.err_msg == "get_brand_wcpay_request:ok") {
                        // 使用以上方式判断前端返回,微信团队郑重提示：
                        //res.err_msg将在用户支付成功后返回ok，但并不保证它绝对可靠。
                    }
                });
        }

        if (typeof WeixinJSBridge == "undefined") {
            if (document.addEventListener) {
                document.addEventListener('WeixinJSBridgeReady', onBridgeReady, false);
            } else if (document.attachEvent) {
                document.attachEvent('WeixinJSBridgeReady', onBridgeReady);
                document.attachEvent('onWeixinJSBridgeReady', onBridgeReady);
            }
        } else {
            onBridgeReady();
        }
    </script>
{else}
    <div class="alert alert-danger silkpay_error_message" style="display: none">
    </div>
    <div class="w-100 d-flex align-items-center justify-content-center">
        <div class="d-flex flex-column align-items-center justify-content-center">
            <div>
                <div style="border: 1px silver solid">
                    <img src="{$image_path}modules/silkpay/views/img/Rolling-1s-180px.gif" alt="" width="180"
                         height="180"
                         class="silkpay_qrcode_img">
                    <div class="d-flex align-items-center justify-content-center">
                        <div class="mr-1">
                            <img src="{$image_path}modules/silkpay/views/img/wepay.png" alt="">
                        </div>
                        <div style="font-size: 12px">
                            <div>
                                {l s='Use WeChat app' mod='silkpay'}
                            </div>
                            <div>
                                {l s='Scan qrcode to pay' mod='silkpay'}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="qrcode_timer">
            </div>
        </div>
        <div class="hidden-md-down">
            <img src="{$image_path}modules/silkpay/views/img/wepayscan.png" alt="">
        </div>
    </div>
{/if}
